# Class: Particles

## Phaser. Particles

Phaser Particles

#### new Particles(game)

  Phaser.Particles is the Particle Manager for the game. It is called during the game update loop and in turn updates any Emitters attached to it.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the currently running game.

  Source:
    - particles/Particles.js, line 15

### Members

#### emitters

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `emitters` | object | Internal emitters store.

  Source:
    - particles/Particles.js, line 25

#### game

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the currently running Game.

  Source:
    - particles/Particles.js, line 20

#### ID

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `ID` | number | -

  Default Value:
    - 0
  Source:
    - particles/Particles.js, line 31

### Methods

#### add(emitter) → {Phaser.Emitter}

  Adds a new Particle Emitter to the Particle Manager.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `emitter` | Phaser.Emitter | The emitter to be added to the particle manager.

  Source:
    - particles/Particles.js, line 37

  ##### Returns:

  The emitter that was added.

  Type
    Phaser.Emitter

#### remove(emitter)

  Removes an existing Particle Emitter from the Particle Manager.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `emitter` | Phaser.Emitter | The emitter to remove.

  Source:
    - particles/Particles.js, line 51

#### <protected> update()

  Called by the core game loop. Updates all Emitters who have their exists value set to true.

  Source:
    - particles/Particles.js, line 62